<template>
  <v-main>
    <v-card height="100%">
      <v-card-text>
        <v-alert
          border="top"
          colored-border
          type="warning"
          elevation="2"
        >
          <i18n path="text.body">
            <template #link>
              <a :href="missingPieceMailUrl">
                {{ $t('text.link') }}
              </a>
            </template>
          </i18n>
        </v-alert>
      </v-card-text>
    </v-card>
    <title-manager :title="$t('page.title')" />
  </v-main>
</template>
<i18n lang="yaml">
en-US:
  page:
    title: Missing Piece
  text:
    body: |
      This piece at this address does not exist.
      If you were linked to this page from Dezrann, please {link} us.
    link: contact
fr-FR:
  page:
    title: Pièce manquante
  text:
    body: |
      La pièce à cette addresse n'existe pas.
      Si vous avez été dirigé vers cette page depuis Dezrann, merci de {link} notre équipe.
    link: contacter
</i18n>
<script lang="ts">
import { missingPieceMailUrl } from '@/components/dialogs/mail';
import TitleManager from '@/components/navigation/TitleManager.vue';
import type { PropType } from 'vue';
import { defineComponent } from 'vue';

export default defineComponent({
  components: { TitleManager },
  props: {
    sidebar: {
      type: Object as PropType<boolean | null>,
      default: null,
    },
  },
  data() {
    return {
      missingPieceMailUrl,
    };
  },
  computed: {
    isSidebarOpen: {
      get(): boolean | null {
        return this.sidebar;
      },
      set(value: boolean | null) {
        this.$emit('update:sidebar', value);
      },
    },
  },
});

</script>
